%global driver sx
%global revision 2049
%global date 20150227
%global checkout %{date}svn%{revision}


Name:           indi-%{driver}
Version:        1.0.0
# Post-Release checkout containing some improvements
Release:        4.%{checkout}%{?dist}
Summary:        INDI driver providing support for Starlight Xpress devices

License:        GPLv2+
URL:            http://indilib.org/
# Checkout from upstream svn
Source0:        %{name}-%{version}.svn%{revision}.tar.xz
Source1:        %{name}-generate-tarball.sh

BuildRequires:  cfitsio-devel
BuildRequires:  cmake
BuildRequires:  libindi-devel
BuildRequires:  libindi-static
BuildRequires:  libusb-devel
BuildRequires:  systemd
BuildRequires:  zlib-devel

Requires:       udev

%description
INDI driver providing support for devices from Starlight Xpress. This includes
SX CCDs, SX wheel and SX Active Optics. 


%prep
%setup -q -n%{name}-%{version}.svn%{revision}
# For Fedora we want to put udev rules in %{_udevrulesdir}
sed -i 's|/lib/udev/rules.d|%{_udevrulesdir}|g' CMakeLists.txt

%build
%cmake
make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}


%files
%doc AUTHORS README
%{_bindir}/indi_%{driver}_ao
%{_bindir}/indi_%{driver}_ccd
%{_bindir}/indi_%{driver}_wheel
%{_bindir}/%{driver}_ccd_test
%{_datadir}/indi/indi_%{driver}.xml
%{_udevrulesdir}/99-sx.rules


%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-4.20150227svn2049
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 1.0.0-3.20150227svn2049
- Rebuilt for GCC 5 C++11 ABI change

* Fri Feb 27 2015 Christian Dersch <lupinix@fedoraproject.org> - 1.0.0-2.20150227svn2049
- updated to svn rev 2049 fixing a bug with some camera models

* Thu Feb 26 2015 Christian Dersch <lupinix@fedoraproject.org> - 1.0.0-1.20150226svn2046
- updated to libindi 1.0.0 tree

* Mon Nov 10 2014 Christian Dersch <lupinix@fedoraproject.org> - 0.9.9-4.20141110svn1788
- used wrong release tag, fixed

* Mon Nov 10 2014 Christian Dersch <lupinix@fedoraproject.org> - 0.9.9-1.20141110svn1788
- update to svn revision 1788 fixing a bug (dark frames with closed shutter on SXVR H18)

* Sat Oct 25 2014 Christian Dersch <lupinix@fedoraproject.org> - 0.9.9-3.20141025svn1784
- removed checkout macro from changelog

* Sat Oct 25 2014 Christian Dersch <lupinix@fedoraproject.org> - 0.9.9-2.20141025svn1784
- spec adjustments (consistently using udevrulesdir macro now)

* Sat Oct 25 2014 Christian Dersch <lupinix@fedoraproject.org> - 0.9.9-1.20141025svn1784
- initial spec
